import z from 'zod';
export declare const loginSchema: z.ZodObject<Pick<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBase: z.ZodObject<{
        etiquetas: z.ZodObject<z.objectUtil.extendShape<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "id" | "name">, {
            grupo: z.ZodObject<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                color: z.ZodString;
                isExclusive: z.ZodBoolean;
                created_at: z.ZodString;
                updated_at: z.ZodString;
            }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "username" | "password">, "strip", z.ZodTypeAny, {
    username: string;
    password: string;
}, {
    username: string;
    password: string;
}>;
declare const LoginDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<Pick<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBase: z.ZodObject<{
        etiquetas: z.ZodObject<z.objectUtil.extendShape<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "id" | "name">, {
            grupo: z.ZodObject<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                color: z.ZodString;
                isExclusive: z.ZodBoolean;
                created_at: z.ZodString;
                updated_at: z.ZodString;
            }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "username" | "password">, "strip", z.ZodTypeAny, {
    username: string;
    password: string;
}, {
    username: string;
    password: string;
}>>;
export declare class LoginDto extends LoginDto_base {
}
export declare const loginResponseSchema: z.ZodObject<{
    user: z.ZodObject<Omit<{
        id: z.ZodString;
        username: z.ZodString;
        password: z.ZodString;
        isAdmin: z.ZodDefault<z.ZodBoolean>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        filtroBase: z.ZodObject<{
            etiquetas: z.ZodObject<z.objectUtil.extendShape<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                groupId: z.ZodString;
                type: z.ZodNativeEnum<{
                    PERSONAL: "PERSONAL";
                    EVENTO: "EVENTO";
                    MODELO: "MODELO";
                    TENTATIVA: "TENTATIVA";
                }>;
                created_at: z.ZodString;
                updated_at: z.ZodString;
            }, "id" | "name">, {
                grupo: z.ZodObject<Pick<{
                    id: z.ZodString;
                    name: z.ZodString;
                    color: z.ZodString;
                    isExclusive: z.ZodBoolean;
                    created_at: z.ZodString;
                    updated_at: z.ZodString;
                }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                }, {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                }>;
            }>, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }, {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }>;
            active: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        }, {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        }>;
        filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
        fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    }, "password">, "strip", z.ZodTypeAny, {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        isAdmin: boolean;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        filtroBaseActivo: boolean;
        fcmToken: string[];
    }, {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    }>;
    backendTokens: z.ZodObject<{
        accessToken: z.ZodString;
        refreshToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        accessToken: string;
        refreshToken: string;
    }, {
        accessToken: string;
        refreshToken: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        isAdmin: boolean;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        filtroBaseActivo: boolean;
        fcmToken: string[];
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}, {
    user: {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}>;
declare const LoginResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    user: z.ZodObject<Omit<{
        id: z.ZodString;
        username: z.ZodString;
        password: z.ZodString;
        isAdmin: z.ZodDefault<z.ZodBoolean>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        filtroBase: z.ZodObject<{
            etiquetas: z.ZodObject<z.objectUtil.extendShape<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                groupId: z.ZodString;
                type: z.ZodNativeEnum<{
                    PERSONAL: "PERSONAL";
                    EVENTO: "EVENTO";
                    MODELO: "MODELO";
                    TENTATIVA: "TENTATIVA";
                }>;
                created_at: z.ZodString;
                updated_at: z.ZodString;
            }, "id" | "name">, {
                grupo: z.ZodObject<Pick<{
                    id: z.ZodString;
                    name: z.ZodString;
                    color: z.ZodString;
                    isExclusive: z.ZodBoolean;
                    created_at: z.ZodString;
                    updated_at: z.ZodString;
                }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                }, {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                }>;
            }>, "strip", z.ZodTypeAny, {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }, {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }>;
            active: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        }, {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        }>;
        filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
        fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    }, "password">, "strip", z.ZodTypeAny, {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        isAdmin: boolean;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        filtroBaseActivo: boolean;
        fcmToken: string[];
    }, {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    }>;
    backendTokens: z.ZodObject<{
        accessToken: z.ZodString;
        refreshToken: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        accessToken: string;
        refreshToken: string;
    }, {
        accessToken: string;
        refreshToken: string;
    }>;
}, "strip", z.ZodTypeAny, {
    user: {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        isAdmin: boolean;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        filtroBaseActivo: boolean;
        fcmToken: string[];
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}, {
    user: {
        id: string;
        created_at: string;
        updated_at: string;
        username: string;
        filtroBase: {
            etiquetas: {
                id: string;
                name: string;
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            };
            active: boolean;
        };
        isAdmin?: boolean | undefined;
        filtroBaseActivo?: boolean | undefined;
        fcmToken?: string[] | undefined;
    };
    backendTokens: {
        accessToken: string;
        refreshToken: string;
    };
}>>;
export declare class LoginResponseDto extends LoginResponseDto_base {
}
export {};
