"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginResponseDto = exports.loginResponseSchema = exports.LoginDto = exports.loginSchema = void 0;
const zod_1 = __importDefault(require("zod"));
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const cuenta_dto_1 = require("../../cuenta/dto/cuenta.dto");
exports.loginSchema = cuenta_dto_1.cuentaSchema.pick({
    username: true,
    password: true,
});
class LoginDto extends (0, zod_nestjs_1.createZodDto)(exports.loginSchema) {
}
exports.LoginDto = LoginDto;
exports.loginResponseSchema = zod_1.default.object({
    user: cuenta_dto_1.cuentaSchema.omit({
        password: true,
    }),
    backendTokens: zod_1.default.object({
        accessToken: zod_1.default.string(),
        refreshToken: zod_1.default.string(),
    }),
});
class LoginResponseDto extends (0, zod_nestjs_1.createZodDto)(exports.loginResponseSchema) {
}
exports.LoginResponseDto = LoginResponseDto;
//# sourceMappingURL=login.dto.js.map