import { z } from 'zod';
export declare const cuentaSchema: z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBase: z.ZodObject<{
        etiquetas: z.ZodObject<z.objectUtil.extendShape<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "id" | "name">, {
            grupo: z.ZodObject<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                color: z.ZodString;
                isExclusive: z.ZodBoolean;
                created_at: z.ZodString;
                updated_at: z.ZodString;
            }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    id: string;
    created_at: string;
    updated_at: string;
    username: string;
    password: string;
    isAdmin: boolean;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    filtroBaseActivo: boolean;
    fcmToken: string[];
}, {
    id: string;
    created_at: string;
    updated_at: string;
    username: string;
    password: string;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isAdmin?: boolean | undefined;
    filtroBaseActivo?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const CuentaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    isAdmin: z.ZodDefault<z.ZodBoolean>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    filtroBase: z.ZodObject<{
        etiquetas: z.ZodObject<z.objectUtil.extendShape<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "id" | "name">, {
            grupo: z.ZodObject<Pick<{
                id: z.ZodString;
                name: z.ZodString;
                color: z.ZodString;
                isExclusive: z.ZodBoolean;
                created_at: z.ZodString;
                updated_at: z.ZodString;
            }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
                id: string;
                color: string;
                isExclusive: boolean;
            }, {
                id: string;
                color: string;
                isExclusive: boolean;
            }>;
        }>, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }, {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        }>;
        active: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    }>;
    filtroBaseActivo: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    id: string;
    created_at: string;
    updated_at: string;
    username: string;
    password: string;
    isAdmin: boolean;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    filtroBaseActivo: boolean;
    fcmToken: string[];
}, {
    id: string;
    created_at: string;
    updated_at: string;
    username: string;
    password: string;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            grupo: {
                id: string;
                color: string;
                isExclusive: boolean;
            };
        };
        active: boolean;
    };
    isAdmin?: boolean | undefined;
    filtroBaseActivo?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class CuentaDto extends CuentaDto_base {
}
export {};
