import z from 'zod';
export declare const getFiltroBaseResponse: z.ZodObject<{
    active: z.ZodBoolean;
    filtroBase: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PERSONAL: "PERSONAL";
            EVENTO: "EVENTO";
            MODELO: "MODELO";
            TENTATIVA: "TENTATIVA";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, "id" | "name" | "type">, {
        grupo: z.ZodObject<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
            id: string;
            color: string;
            isExclusive: boolean;
        }, {
            id: string;
            color: string;
            isExclusive: boolean;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    filtroBase: {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}, {
    filtroBase: {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}>;
declare const GetFiltroBaseResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    active: z.ZodBoolean;
    filtroBase: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PERSONAL: "PERSONAL";
            EVENTO: "EVENTO";
            MODELO: "MODELO";
            TENTATIVA: "TENTATIVA";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, "id" | "name" | "type">, {
        grupo: z.ZodObject<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
            id: string;
            color: string;
            isExclusive: boolean;
        }, {
            id: string;
            color: string;
            isExclusive: boolean;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    filtroBase: {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}, {
    filtroBase: {
        id: string;
        name: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        grupo: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    active: boolean;
}>>;
export declare class GetFiltroBaseResponseDto extends GetFiltroBaseResponseDto_base {
}
export {};
