import { z } from 'zod';
export declare const updateFiltroBaseSchema: z.ZodObject<{
    active: z.ZodBoolean;
    etiquetasIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    active: boolean;
    etiquetasIds: string[];
}, {
    active: boolean;
    etiquetasIds: string[];
}>;
declare const UpdateFiltroBaseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    active: z.ZodBoolean;
    etiquetasIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    active: boolean;
    etiquetasIds: string[];
}, {
    active: boolean;
    etiquetasIds: string[];
}>>;
export declare class UpdateFiltroBaseDto extends UpdateFiltroBaseDto_base {
}
export declare const updateFiltroBaseResponseSchema: z.ZodObject<{
    id: z.ZodString;
    nombreUsuario: z.ZodString;
    esAdmin: z.ZodBoolean;
    fcmToken: z.ZodNullable<z.ZodString>;
    filtroBaseActivo: z.ZodBoolean;
    filtroBase: z.ZodObject<{
        active: z.ZodBoolean;
        etiquetas: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }, {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    };
    filtroBaseActivo: boolean;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
}, {
    id: string;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    };
    filtroBaseActivo: boolean;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
}>;
declare const UpdateFiltroBaseResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    nombreUsuario: z.ZodString;
    esAdmin: z.ZodBoolean;
    fcmToken: z.ZodNullable<z.ZodString>;
    filtroBaseActivo: z.ZodBoolean;
    filtroBase: z.ZodObject<{
        active: z.ZodBoolean;
        etiquetas: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            groupId: z.ZodString;
            type: z.ZodNativeEnum<{
                PERSONAL: "PERSONAL";
                EVENTO: "EVENTO";
                MODELO: "MODELO";
                TENTATIVA: "TENTATIVA";
            }>;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }, {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    }, {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    };
    filtroBaseActivo: boolean;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
}, {
    id: string;
    filtroBase: {
        etiquetas: {
            id: string;
            name: string;
            groupId: string;
            type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
            created_at: string;
            updated_at: string;
        }[];
        active: boolean;
    };
    filtroBaseActivo: boolean;
    fcmToken: string | null;
    nombreUsuario: string;
    esAdmin: boolean;
}>>;
export declare class UpdateFiltroBaseResponseDto extends UpdateFiltroBaseResponseDto_base {
}
export {};
