"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EtiquetaDto = exports.etiquetaSchema = void 0;
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
const prisma_schema_1 = require("../../../types/prisma-schema/index.js");
exports.etiquetaSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: 'El ID debe ser un UUID',
    }),
    name: zod_1.z.string().min(1, {
        message: 'El nombre debe tener al menos 1 caracter',
    }),
    groupId: zod_1.z.string().uuid({
        message: 'Debes seleccionar un grupo de etiquetas',
    }),
    type: zod_1.z.nativeEnum(prisma_schema_1.TipoEtiqueta, {
        message: 'El tipo de etiqueta no es válido',
    }),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
class EtiquetaDto extends (0, zod_nestjs_1.createZodDto)(exports.etiquetaSchema) {
}
exports.EtiquetaDto = EtiquetaDto;
//# sourceMappingURL=etiqueta.dto.js.map