import { z } from 'zod';
declare const eventoSchemaBase: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    etiquetaAsistioId: z.ZodString;
    etiquetaAsistio: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PERSONAL: "PERSONAL";
            EVENTO: "EVENTO";
            MODELO: "MODELO";
            TENTATIVA: "TENTATIVA";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    }, {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    }>;
    etiquetaConfirmoId: z.ZodString;
    etiquetaConfirmo: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PERSONAL: "PERSONAL";
            EVENTO: "EVENTO";
            MODELO: "MODELO";
            TENTATIVA: "TENTATIVA";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    }, {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    }>;
    eventoPadreId: z.ZodOptional<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    location: string;
    etiquetaAsistioId: string;
    etiquetaAsistio: {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    };
    etiquetaConfirmoId: string;
    etiquetaConfirmo: {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    };
    eventoPadreId?: string | undefined;
}, {
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    location: string;
    etiquetaAsistioId: string;
    etiquetaAsistio: {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    };
    etiquetaConfirmoId: string;
    etiquetaConfirmo: {
        id: string;
        name: string;
        groupId: string;
        type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
        created_at: string;
        updated_at: string;
    };
    eventoPadreId?: string | undefined;
}>;
type Evento = z.infer<typeof eventoSchemaBase> & {
    eventoPadre: z.infer<typeof eventoSchemaBase>;
    subEventos: z.infer<typeof eventoSchemaBase>[];
};
declare const EventoDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodType<Evento, z.ZodTypeDef, Evento>>;
export declare class EventoDto extends EventoDto_base {
}
export {};
