"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrupoEtiquetaDto = exports.grupoEtiquetaSchema = void 0;
const zod_nestjs_1 = require("@anatine/zod-nestjs");
const zod_1 = require("zod");
exports.grupoEtiquetaSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: 'El ID debe ser un UUID',
    }),
    name: zod_1.z.string().min(1, {
        message: 'El nombre debe tener al menos 1 caracter',
    }),
    color: zod_1.z
        .string()
        .length(7)
        .startsWith('#', {
        message: 'El color debe tener el formato #ABCDEF',
    })
        .toLowerCase(),
    isExclusive: zod_1.z.boolean(),
    created_at: zod_1.z.string().datetime(),
    updated_at: zod_1.z.string().datetime(),
});
class GrupoEtiquetaDto extends (0, zod_nestjs_1.createZodDto)(exports.grupoEtiquetaSchema) {
}
exports.GrupoEtiquetaDto = GrupoEtiquetaDto;
//# sourceMappingURL=grupo-etiqueta.dto.js.map