export interface paths {
    "/auth/register": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_registerUser"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/auth/login": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_loginUser"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/auth/refresh": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["AuthController_refreshToken"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/cuenta/create": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        post: operations["CuentaController_createCuenta"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/cuenta/filtro-base": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["CuentaController_getFiltroBase"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch: operations["CuentaController_updateFiltroBase"];
        trace?: never;
    };
    "/cuenta/me": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get: operations["CuentaController_getMe"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        RegisterDto: {
            username: string;
            password: string;
            isAdmin: boolean;
        };
        RegisterResponseDto: {
            username: string;
            isAdmin: boolean;
        };
        LoginDto: {
            username: string;
            password: string;
        };
        LoginResponseDto: {
            user: {
                id?: string;
                username?: string;
                isAdmin: boolean;
                created_at?: string;
                updated_at?: string;
                filtroBase?: {
                    etiquetas: {
                        id: string;
                        name: string;
                        grupo: {
                            id: string;
                            color: string;
                            isExclusive: boolean;
                        };
                    };
                    active: boolean;
                };
                filtroBaseActivo: boolean;
                fcmToken: string[];
            };
            backendTokens: {
                accessToken?: string;
                refreshToken?: string;
            };
        };
        CreateCuentaDto: {
            username: string;
            password: string;
            isAdmin: boolean;
        };
        CreateCuentaResponseDto: {
            id: string;
            username: string;
            isAdmin: boolean;
            filtroBaseActivo: boolean;
            fcmToken: string[];
        };
        UpdateFiltroBaseDto: {
            active: boolean;
            etiquetasIds: string[];
        };
        UpdateFiltroBaseResponseDto: {
            id: string;
            nombreUsuario: string;
            esAdmin: boolean;
            fcmToken: string | null;
            filtroBaseActivo: boolean;
            filtroBase: {
                active?: boolean;
                etiquetas?: {
                    id: string;
                    name: string;
                    groupId: string;
                    type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
                    created_at: string;
                    updated_at: string;
                }[];
            };
        };
        GetFiltroBaseResponseDto: {
            active: boolean;
            filtroBase: {
                id: string;
                name: string;
                type: "PERSONAL" | "EVENTO" | "MODELO" | "TENTATIVA";
                grupo: {
                    id: string;
                    color: string;
                    isExclusive: boolean;
                };
            }[];
        };
        GetMeResponseDto: {
            id: string;
            username: string;
            isAdmin: boolean;
            created_at: string;
            updated_at: string;
            filtroBase: {
                etiquetas?: {
                    id: string;
                    name: string;
                    grupo: {
                        id: string;
                        color: string;
                        isExclusive: boolean;
                    };
                };
                active?: boolean;
            };
            filtroBaseActivo: boolean;
            fcmToken: string[];
        };
    };
    responses: never;
    parameters: never;
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type $defs = Record<string, never>;
export interface operations {
    AuthController_registerUser: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["RegisterDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["RegisterResponseDto"];
                };
            };
        };
    };
    AuthController_loginUser: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["LoginDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["LoginResponseDto"];
                };
            };
        };
    };
    AuthController_refreshToken: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content?: never;
            };
        };
    };
    CuentaController_createCuenta: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["CreateCuentaDto"];
            };
        };
        responses: {
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["CreateCuentaResponseDto"];
                };
            };
        };
    };
    CuentaController_getFiltroBase: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetFiltroBaseResponseDto"];
                };
            };
        };
    };
    CuentaController_updateFiltroBase: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UpdateFiltroBaseDto"];
            };
        };
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["UpdateFiltroBaseResponseDto"];
                };
            };
        };
    };
    CuentaController_getMe: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["GetMeResponseDto"];
                };
            };
        };
    };
}
